> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axiom.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VM config metadata

> Retrieve details about a proving system configuration.



## OpenAPI

````yaml GET /v1/configs/{config_id}
openapi: 3.1.0
info:
  title: Axiom Proving API
  description: |-
    ## Axiom Cloud Proving API

        The Axiom Proving API allows you to compile, execute, and prove OpenVM programs on Axiom's cloud infrastructure.

        All endpoints require an API key passed in the `Axiom-API-Key` header.
        
  version: 1.0.0
servers:
  - url: https://api.axiom.xyz
    description: Production API
  - url: https://api.staging.app.axiom.xyz
    description: Staging API
security: []
paths:
  /v1/configs/{config_id}:
    get:
      tags:
        - configs
      summary: Get Configuration
      description: Retrieve details about a proving system configuration.
      operationId: get_config_endpoint_v1_configs__config_id__get
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            type: string
            title: Config Id
      responses:
        '200':
          description: Configuration details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigResponse'
        '404':
          description: Configuration not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ConfigResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        openvm_version:
          type: string
          title: Openvm Version
        stark_backend_version:
          type: string
          title: Stark Backend Version
        status:
          $ref: '#/components/schemas/ArtifactStatus'
        active:
          type: boolean
          title: Active
        app_vm_commit:
          type: string
          title: App Vm Commit
      type: object
      required:
        - id
        - created_at
        - openvm_version
        - stark_backend_version
        - status
        - active
        - app_vm_commit
      title: ConfigResponse
      description: User-facing config response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ArtifactStatus:
      type: string
      enum:
        - ready
        - processing
        - not_ready
        - error
        - failed
      title: ArtifactStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Axiom-API-Key

````